package org.ow2.frascati.tinfi.oabdoun.constructor;

import org.osoa.sca.annotations.Constructor;
import org.osoa.sca.annotations.Property;
import org.osoa.sca.annotations.Service;

/**
 * @author Olivier Abdoun <Olivier.Abdoun@inria.fr>
 */
@Service(Bar.class)
public class Foo3 implements Bar, Foo3Attributes {

	protected String bar;
	
	@Constructor
	public Foo3() {
		this.bar = "bar";
	}
	
	public String getBar() {
		return this.bar;
	}
	
	@Property(name="bar")
	public void setBar(String b) {
		this.bar = b;
	}

}
